<?php
/**
 * OrokuBlocks Affiliate Referral - Elementor Widget
 * 
 * @package OrokuBlocks
 * @author OrokuBlocks (https://orokublocks.com/)
 * 
 * @since 1.0.0
 * 
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
  exit;
}

if ( ! class_exists( 'OrokuBlocks_AffiliateReferral_Elementor_Widget' ) ) {
  class OrokuBlocks_AffiliateReferral_Elementor_Widget extends OrokuBlocks_Elementor_Widget {
    /**
     * Widget constructor
     * 
     * @since 1.0.0
     */
    public function __construct( $data = [], $args = null ) {
      parent::__construct( $data, $args );

      $this->widget_id = 'affiliate_referral';
      $this->addKeywords( [ 'affiliate', 'referral' ] );
      $this->addScriptDependencies( [ 'orokublocks-widget-main-scripts' ] );
      $this->registerScripts();
    }
  }
}